//------------------------------------------------------------------------
function getTempFile(sDir)
{
	if (sDir != "") {
		return (sDir + fso.GetTempName());
	}
	else {
		var fsoTempFolder = 2;
		var strTempFolder = fso.GetSpecialFolder(fsoTempFolder);
		return (strTempFolder + "\\" + fso.GetTempName());
	}
}

//------------------------------------------------------------------------
function getMimeType(processor)
{
	var mimeType;
	var stylesheet = processor.stylesheet;
	var localTypeNode = stylesheet.selectSingleNode("//output/@media-type");
	if (""+localTypeNode == "null") {
		var localMethodNode = stylesheet.selectSingleNode("//output/@method");
		if (""+localMethodNode == "null") {
			mimeType="text/html";
		}
		else {
			localMethodName = localMethodNode.text;
			switch(localMethodName) {
				case "text":mimeType = "text/plain";break;
				case "html":mimeType = "text/html";break;
				case "xml":mimeType = "text/xml";break;
			}
		}
	}
	else {
		mimeType = localTypeNode.text;
	}
	return mimeType;
}

//------------------------------------------------------------------------
function loadSource(sourceName)
{
	var xmlDoc = new ActiveXObject("MSXML2.FreeThreadedDOMDocument.4.0");
	xmlDoc.async = false;
//	xmlDoc.preserveWhiteSpace = true;
	xmlDoc.resolveExternals = false;
	xmlDoc.validateOnParse = false;
	xmlDoc.load(sourceName);
	if ( xmlDoc.parseError.reason ) {
		throw ( "Unable to load xml doc (" + xmlDoc.parseError.url + "). On char #" + xmlDoc.parseError.linepos + " of  line #"  + xmlDoc.parseError.line + ", MSXML gave the following error: " + xmlDoc.parseError.reason );
	}
	return xmlDoc;
}

//------------------------------------------------------------------------
function loadDummy()
{
	var xmlDoc = new ActiveXObject("MSXML2.FreeThreadedDOMDocument.4.0");
	xmlDoc.async = false;
	xmlDoc.loadXML("<dummy/>");
	return xmlDoc;
}

//------------------------------------------------------------------------
function loadSourceXml(source)
{
	var xmlDoc = new ActiveXObject("MSXML2.FreeThreadedDOMDocument.4.0");
	xmlDoc.async = false;
//	xmlDoc.preserveWhiteSpace = true;
	xmlDoc.resolveExternals = false;
	xmlDoc.validateOnParse = false;
	xmlDoc.loadXML(source);
	if ( xmlDoc.parseError.reason ) {
		throw ( "Unable to load xml doc (" + xmlDoc.parseError.url + "). On char #" + xmlDoc.parseError.linepos + " of  line #"  + xmlDoc.parseError.line + ", MSXML gave the following error: " + xmlDoc.parseError.reason );
	}
	return xmlDoc;
}

//------------------------------------------------------------------------
function getProcessor(transformName)
{
	var xslDoc = new ActiveXObject("MSXML2.FreeThreadedDOMDocument.4.0");
	var xslTemplate = new ActiveXObject("MSXML2.XSLTemplate.4.0");
	xslDoc.async = false;
	xslDoc.preserveWhiteSpace = true;
	xslDoc.load(transformName);
	if ( xslDoc.parseError.reason ) {
		throw ( "Unable to load xml doc (" + xslDoc.parseError.url + "). On char #" + xslDoc.parseError.linepos + " of  line #"  + xslDoc.parseError.line + ", MSXML gave the following error: " + xslDoc.parseError.reason );
	}

	xslTemplate.stylesheet = xslDoc;
	xslProcessor = xslTemplate.createProcessor();
	return xslProcessor;
}

//------------------------------------------------------------------------
function transformData(srcDoc,processor)
{
	processor.input = srcDoc;
	processor.transform();
	return true;
}

//------------------------------------------------------------------------
function errorPage(e, respond)
{
	var strResp = "ERROR on " + (new Date).toString() + "\n";

	if (e.description) {
		for (thingie in e)
			strResp += thingie + ": " + e[thingie] + "\n";
	}
	else {
		strResp += "doesn't have description...";
		strResp +=  e;
	}
	strResp += "\n";

   if (respond) {
		WScript.echo(strResp);
   }

	var filetxt = fso.OpenTextFile ("transform.log", 8, true, false)
	filetxt.WriteLine(strResp);
	filetxt.Close();
}
