<?xml version="1.0"?>

<!-- XSL Stylesheet to view hierarchical rowsets as HTML -->

<!-- xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" language="vbscript" -->
<xsl:stylesheet
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:msxsl="urn:schemas-microsoft-com:xslt"
		xmlns:xd="urn:schemas-microsoft-com:xml-analysis:rowset"
		xmlns:sql="urn:schemas-microsoft-com:xml-sql"
		xmlns:xsd="http://www.w3.org/2001/XMLSchema"
		version="1.0">

	<xsl:output method="html"/>

	<!-- Open the HTML for the top level document -->
	<xsl:template match="xd:root">
		<HTML>
		<HEAD>
		<STYLE type="text/css">

		BODY, TD {font-family:Arial,sans-serif; font-size:12px; font-weight:normal; background-color: #eeeecc; color: #000000;}
		TH {font-family:Arial,sans-serif; font-size:12px; font-weight:bold; text-align:left; background-color: #333366; color: #FFFFFF;}

		A { color: #003399; text-decoration:none }
		A:visited { color: #003399; }
		A:active { text-decoration: underline }
		A:hover { text-decoration: underline }

		</STYLE>
		</HEAD>
		<BODY BGCOLOR="#6699CC" style="background-color: #6699CC; color: black; font-size 8pt; font-face: Arial; border: '1 solid'; border-top-color: '#CFCFCF'; border-left-color: '#CFCFCF'; border-right-color: '#505050'; border-bottom-color: '#505050';">
		<TABLE border="0" cellspacing="1">
		<TR>
		<xsl:apply-templates select="//xsd:schema/xsd:complexType[@name='row']//xsd:element/@sql:field" />
		</TR>
		<xsl:apply-templates select="//xd:row" />
		</TABLE>
		</BODY>
		</HTML>
	</xsl:template>

	<xsl:template match="xd:row">
		<xsl:variable name="varCurrRow" select="." />
		<TR>
		<!-- Print the values of the attributes (got to handle NULL attributes) -->
		<xsl:for-each select="//xsd:schema/xsd:complexType[@name='row']//xsd:element">
			<xsl:variable name="varCurrCol" select="./@name" />
			<TD>
			<xsl:choose>
				<xsl:when test="$varCurrRow/*[name() = $varCurrCol]">
					<xsl:value-of select="$varCurrRow/*[name() = $varCurrCol]" />
				</xsl:when>
				<xsl:otherwise>
					<I>null</I>
				</xsl:otherwise>
			</xsl:choose>
			</TD>
		</xsl:for-each>
		</TR>
	</xsl:template>

	<xsl:template match="@sql:field">
		<TH>
		<xsl:value-of select="." />
		</TH>
	</xsl:template>

</xsl:stylesheet>

